

import { RouteRecordRaw } from "vue-router";
export const Layout = () => import("@/components/layout/layout.vue");
export const staticRouter: RouteRecordRaw[] =
    [
        {
            path: "/",
            redirect: '/index',
        },
        {
            //导航页
            path: '/',
            name: '/',
            // redirect: '/layout/index',
            meta: {
                title: '首页',
                keepalive: true
            },
            component: Layout,
            children: [
                {
                    //欢迎页
                    path: 'index',
                    name: 'welcome',
                    meta: {
                        title: '首页',
                        keepalive: true
                    },
                    component: () => import('@/views/dashboard/index.vue')
                },


            ]
        },

        {
            //导航页
            path: '/register',
            name: 'register',
            meta: {
                title: '注册',
                keepalive: true
            },
            component: Layout,
            children: [
                {
                    path: 'index',  // 这里使用相对路径而不是 '/register'
                    name: 'register-index',
                    meta: {
                        title: '注册',
                        keepalive: true
                    },
                    component: () => import('@/views/register.vue')
                },
            ]
        },
        {
            //登录页面
            path: '/login',
            name: 'login',
            meta: {
                title: '登录',
                keepalive: true
            },
            component: () => import('@/views/register.vue')
        },

    ]



